Name:           libglfw
Version:        2.6
Release:        6%{?dist}
Summary:        Framework for OpenGL application development

Group:          System Environment/Libraries
License:        zlib
URL:            http://glfw.sourceforge.net
Source0:        http://downloads.sourceforge.net/glfw/glfw-%{version}.tar.bz2
Patch0:         glfw-2.6-dso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel, libXrandr-devel, pth-devel, freeglut-devel

%description
GLFW is a free, open source, portable framework for OpenGL 
application development.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The %{name}-devel package contains libraries, header files
and documentation for developing applications that use %{name}.

%prep
%setup -q -n glfw
%patch0 -p1 -b .dso

%build
sh compile.sh 
make %{?_smp_mflags} CC="gcc %{optflags}" PREFIX=%{_prefix} LIB=%{_lib} \
       -C lib/x11 -f Makefile.x11 default libglfw.pc

%install
rm -rf %{buildroot}
make %{?_smp_mflags} PREFIX=%{_prefix} DESTDIR=%{buildroot} LIB=%{_lib} \
        -C lib/x11 -f Makefile.x11 install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libglfw.so.*
%doc readme.html
%doc license.txt 

%files devel
%defattr(-,root,root,-)
%{_includedir}/GL/glfw.h
%{_libdir}/libglfw.so
%{_libdir}/pkgconfig/*
%doc docs/*.pdf docs/*.txt examples

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 08 2009 Lubomir Rintel <lkundrak@v3.sk> 2.6-3
- Major refactor, since this was not properly reviewed
- Get rid of ugly sedding
- Install a DSO properly
- Use SONAME
- Fix Source URL
- Rename SPEC file to match the package name
- Nuke -doc subpackage, move development documentation into -devel
- Include all documentation
- Use macros consistently
- Indent consistently

* Sat Nov 08 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-2
- spec fixes for review 
- added doc subpackage

* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-1
- Initial version
